package greenfoot.junitUtils;

/**
 * No <b><i>@RunWith(GreenfootRunner.class)</i></b> 
 * or <b><i>@ExtendWith(GreenfootRunner.class)</i></b> statement 
 * has been found before <b><i>class</i></b> statement. 
 * 
 * This statement is used to indicate that world or actor behaviors are 
 * going to be verified while Greenfoot executes its <b>act()</b> methods. 
 * The test execution environment in Greenfoot uses it to initiate the 
 * necessary mechanisms and thus simulate the execution as if Greenfoot 
 * were interacting with a real user.
 *
 * @author Francisco Guerra (francisco.guerra@ulpgc.es)
 */
public class GreenfootRunnerExpected extends Exception {

	private static final long serialVersionUID = 2715115675094396701L;

}
